#!/bin/bash
cd ${1}

RETRY=5
for i in `seq 1 $RETRY`;do
  sleep 1
  RES=`./bhid -r ${2} 2>&1`
  CHECK=`echo $RES | head -1 | cut -f 5-10 -d ' '`
  if [ "$CHECK" != "The specified device was not found" ]
  then
    break
  fi
done

echo "$RES"

cd /

